<template>

    <div class='flex2'>
        <div class='newMovie'>
          Titre <input type='text' id='title'>
          Réalisateur <input type='text' id='director'>
          Année <input type='text' id='year'> 
          URL Poster <input type='text' id='poster'>
          Genre <input type='text' id='genre'><br>
          <button class='btnSb' v-on:click='addMovie()'> Ajouter </button>
        </div>

        <div style='display:inherit; align-self:center; display: flex; flex-direction: row; align-items: baseline;'>
            <input type='text' v-model="userInput" @input="search"> 
            <div style="-webkit-transform: rotate(45deg); 
               -moz-transform: rotate(45deg); 
                 -o-transform: rotate(45deg);
                    transform: rotate(45deg);
                    margin-left: 8px;
                    font-weight: bold;">
                &#9906;
            </div>
        </div>
        <div class='flex'>
            <div v-for='(movie, index) in movies' v-bind:key='movie.title' class='posterCont'>
                <MovieItem v-bind:movie=movie v-bind:index=index></MovieItem>
            </div>
        </div>

      <router-view></router-view>
      </div>

</template>

<script>

import MovieItem from './MovieItem.vue'

export default { 
  components: { MovieItem },
  props:['movieList'],
  data:function() {
    return {
        movies:this.movieList,
        userInput : ''
    }
  },
  name: 'NewComponent',
  methods: {
      addMovie() {
        let title=document.getElementById('title').value;
        let director=document.getElementById('director').value;
        let year=document.getElementById('year').value;
        let url =document.getElementById('poster').value;
        let genre = document.getElementById('genre').value;

        let toPush = {
            title:title,
            director: {
              name: director
            },
            url: url,
            releaseDate: year,
            genre: genre
        }
        this.movies.push(toPush);
      },
        search () {
          this.movies=this.$movies.filter (
            movie=> movie.title.includes(this.userInput) || movie.releaseDate.includes(this.userInput) || movie.director.name.includes(this.userInput)
          )
        }
    }

}
</script>